import 'package:cached_network_image/cached_network_image.dart';
import 'package:e_commerce_training/res/R.dart';
import 'package:flutter/material.dart';
import 'package:flutter/widgets.dart';
import 'package:flutter_screenutil/flutter_screenutil.dart';

class RowMenu extends StatelessWidget {
  final String? image;
  final String? title;
  final Color? color;
  final VoidCallback? callback;
  const RowMenu({Key? key,this.image,this.title,this.color,this.callback}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return InkWell(
      onTap: callback,
      child: Container(
        margin: EdgeInsets.symmetric(horizontal: 15),
        padding:  EdgeInsets.symmetric(vertical: 10),
        child: Column(
          crossAxisAlignment: CrossAxisAlignment.center,
          mainAxisAlignment: MainAxisAlignment.center,
          children: [
            CachedNetworkImage(imageUrl:image??"",height: 110.h,width: 110.w,color: color),
            SizedBox(height: 5,),
            Text(title??"",style: TextStyle(fontSize: 45.sp,color: R.color.black),)
          ],
        ),
      ),
    );
  }
}
